Bug 554884 - [abrt] crash in pinentry-gtk-0.7.6-4.fc12
Summary: [abrt] crash in pinentry-gtk-0.7.6-4.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ad29c5b50124ae266bcae0dd8b0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-12 22:01 UTC by Till Maas
Modified: 2010-05-17 18:51 UTC (History)
4 users (show)

Fixed In Version: pinentry-0.8.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 07:00:07 UTC


Attachments (Terms of Use)

Description Till Maas 2010-01-12 22:01:38 UTC
abrt 1.0.3 detected a crash.

How to reproduce
-----
1.echo GETPIN | pinentry --no-global-grab
2. focus another window

Comment: I just wanted to debug something pinentry related, so I ran it manually.
cmdline: /usr/bin/pinentry-gtk-2 --display :0.0
component: pinentry
executable: /usr/bin/pinentry-gtk-2
kernel: 2.6.31.9-174.fc12.x86_64
package: pinentry-gtk-0.7.6-4.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)

Comment 1 Petr Pisar 2010-04-20 13:38:51 UTC

How to reproduce
-----
Hard to reproduce because it seems like race in drawable focus change and X grab by pinentry-gtk.

Comment 2 Stanislav Ochotnicky 2010-04-20 15:07:15 UTC
I am not really sure I would call this a bug. If pinentry is unable to keep keyboard grab, it means user could input pin to some other application by accident. This would be a security/privacy problem. Therefore when pinentry loses keyboard grab, it sends itself SIGABRT to (try to) prevent such problems. 

I think discussion with upstream how to better handle such cases without SIGABRT-ing is in order. I can reproduce this bug reliably this way:

1. execute echo getpin | pinentry-gtk
2. change to another workspace using mouse (keyboard is grabbed)
3. change back to previous workspace using keyboard shortcut

I should note I use quite uncommon WM (awesome) so way to reproduce might be a bit different.

Comment 3 Fedora Update System 2010-04-27 12:08:06 UTC
pinentry-0.8.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc12

Comment 4 Fedora Update System 2010-04-27 12:08:16 UTC
pinentry-0.8.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc13

Comment 5 Fedora Update System 2010-04-28 01:15:13 UTC
pinentry-0.8.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc13

Comment 6 Fedora Update System 2010-04-28 01:19:53 UTC
pinentry-0.8.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc12

Comment 7 Fedora Update System 2010-04-30 17:10:28 UTC
pinentry-0.8.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc12

Comment 8 Fedora Update System 2010-04-30 23:37:41 UTC
pinentry-0.8.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc13

Comment 9 Fedora Update System 2010-05-06 06:59:54 UTC
pinentry-0.8.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-10 07:52:23 UTC
pinentry-0.8.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc12

Comment 11 Fedora Update System 2010-05-17 18:51:34 UTC
pinentry-0.8.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.